# Class yii\console\Exception

Inheritance | yii\console\Exception » yii\base\UserException » yii\base\Exception » Exception
Subclasses | yii\console\UnknownCommandException
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/console/Exception.php

Exception represents an exception caused by incorrect usage of a console command.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\console\Exception

## Method Details

Hide inherited methods

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception

Source code

                    public function getName()
    {
        return 'Error';
    }